> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Place spread order

POST https://www.okx.com/api/v5/sprd/order
Content-Type: application/json

Place a new order on a spread. You can place orders only if you have sufficient funds in your trading account.

Reference: https://okx-demo.ferndocs.com/api/api-reference/spread-trading/place-order

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Body (application/json)

This endpoint expects an object.

- `sprdId` (string, required) — Spread ID, e.g. BTC-USDT_BTC-USDT-SWAP.
- `side` (enum, required) — Order side.
  - Allowed values: `buy`, `sell`
- `ordType` (enum, required) — Order type. limit: limit order; post_only: post-only order; ioc: immediate-or-cancel; market: market order.
  - Allowed values: `limit`, `post_only`, `ioc`, `market`
- `sz` (string, required) — Quantity to buy or sell.
- `px` (string, required) — Order price. Only applicable to limit, post_only, and ioc orders.
- `clOrdId` (string, optional) — Client Order ID as assigned by the client. A combination of case-sensitive alphanumerics, up to 32 characters.
- `tag` (string, optional) — Order tag. A combination of case-sensitive alphanumerics, up to 16 characters.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5SprdOrderPostResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5SprdOrderPostResponsesContentApplicationJsonSchemaDataItems

- `ordId` (string, optional) — Order ID.
- `clOrdId` (string, optional) — Client Order ID as assigned by the client.
- `tag` (string, optional) — Order tag.
- `sCode` (string, optional) — The code of the event execution result, 0 means success.
- `sMsg` (string, optional) — Rejection or success message of event execution.

## Examples

**Request**

```json
{
  "sprdId": "BTC-USDT_BTC-USDT-SWAP",
  "side": "buy",
  "ordType": "limit",
  "sz": "1",
  "px": "2.15"
}
```

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "ordId": "312269865356374016",
      "clOrdId": "b15",
      "tag": "",
      "sCode": "0",
      "sMsg": ""
    }
  ]
}
```

**SDK Code**

```python spreadTrading_placeOrder_example
import requests

url = "https://www.okx.com/api/v5/sprd/order"

payload = {
    "sprdId": "BTC-USDT_BTC-USDT-SWAP",
    "side": "buy",
    "ordType": "limit",
    "sz": "1",
    "px": "2.15"
}
headers = {
    "OK-ACCESS-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript spreadTrading_placeOrder_example
const url = 'https://www.okx.com/api/v5/sprd/order';
const options = {
  method: 'POST',
  headers: {'OK-ACCESS-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"sprdId":"BTC-USDT_BTC-USDT-SWAP","side":"buy","ordType":"limit","sz":"1","px":"2.15"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go spreadTrading_placeOrder_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/sprd/order"

	payload := strings.NewReader("{\n  \"sprdId\": \"BTC-USDT_BTC-USDT-SWAP\",\n  \"side\": \"buy\",\n  \"ordType\": \"limit\",\n  \"sz\": \"1\",\n  \"px\": \"2.15\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby spreadTrading_placeOrder_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/sprd/order")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"sprdId\": \"BTC-USDT_BTC-USDT-SWAP\",\n  \"side\": \"buy\",\n  \"ordType\": \"limit\",\n  \"sz\": \"1\",\n  \"px\": \"2.15\"\n}"

response = http.request(request)
puts response.read_body
```

```java spreadTrading_placeOrder_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://www.okx.com/api/v5/sprd/order")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"sprdId\": \"BTC-USDT_BTC-USDT-SWAP\",\n  \"side\": \"buy\",\n  \"ordType\": \"limit\",\n  \"sz\": \"1\",\n  \"px\": \"2.15\"\n}")
  .asString();
```

```php spreadTrading_placeOrder_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://www.okx.com/api/v5/sprd/order', [
  'body' => '{
  "sprdId": "BTC-USDT_BTC-USDT-SWAP",
  "side": "buy",
  "ordType": "limit",
  "sz": "1",
  "px": "2.15"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp spreadTrading_placeOrder_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/sprd/order");
var request = new RestRequest(Method.POST);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"sprdId\": \"BTC-USDT_BTC-USDT-SWAP\",\n  \"side\": \"buy\",\n  \"ordType\": \"limit\",\n  \"sz\": \"1\",\n  \"px\": \"2.15\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift spreadTrading_placeOrder_example
import Foundation

let headers = [
  "OK-ACCESS-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "sprdId": "BTC-USDT_BTC-USDT-SWAP",
  "side": "buy",
  "ordType": "limit",
  "sz": "1",
  "px": "2.15"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/sprd/order")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```